find_path(libpqxx_INCLUDE_DIR NAMES pqxx)
find_library(libpqxx_LIBRARY NAMES libpqxx.so)

IF (libpqxx_INCLUDE_DIR AND libpqxx_LIBRARY)
   SET(libpqxx_FOUND TRUE)
   SET(libpqxx_INCLUDE_DIRS ${libpqxx_INCLUDE_DIR})
   SET(libpqxx_LIBRARIES ${libpqxx_LIBRARY})
ENDIF (libpqxx_INCLUDE_DIR AND libpqxx_LIBRARY)

IF (libpqxx_FOUND)
   IF (NOT libpqxx_FIND_QUIETLY)
	   MESSAGE(STATUS "Found libpqxx: ${libpqxx_LIBRARIES}, ${libpqxx_INCLUDE_DIRS}")
   ENDIF (NOT libpqxx_FIND_QUIETLY)
ELSE (libpqxx_FOUND)
   IF (libpqxx_FIND_REQUIRED)
      MESSAGE(FATAL_ERROR "Could not find libpqxx")
   ENDIF (libpqxx_FIND_REQUIRED)
ENDIF (libpqxx_FOUND)
